Draft API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft API and the translation is 43% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Эти функции являеются частью модуля Эскизов(Чертежного) и могут быть использованы в сценариях и макросах или в интепритаторе python, как только будет импортирован модуль Draft.

These functions are part of the Draft Workbench and can be used in macros and from the Python console once the Draft module has been imported.

Пример:

import FreeCAD, Draft

myrect = Draft.makeRectangle(4, 3)
mydistance = FreeCAD.Vector(2, 2, 0)
Draft.move(myrect, mydistance)
Method.png cut(FreeCAD.Object, FreeCAD.Object)

Description: Возвращает "Вырезанный" объект состоящий из различий двух данных объектов. Оригинальные объекты скрываются.

Returns: Вновь созданный объект

Method.png extrude(FreeCAD.Object, Vector)

Description: Вытягивает данный объект в направлении определяемым вектором. Оригинальные объекты скрываются.

Returns: Вновь созданный объект

Method.png formatObject(FreeCAD.Object, [FreeCAD.Object])

Description: Это функция применяет на данном объекте текушме настройки Чертежной панели(набора инструментов) (цвет и ширину линий), или копирует свойства второго объекта , если он указан. Она также помещает объект в группу построений если нажата кнопка построений(кнопка совок - чертежной панели).

Returns: Ничего

Method.png fuse(FreeCAD.Object, FreeCAD.Object)

Description: Возвращает объект получившийся объединением двух указанных объектов. Если объекты лежат в одной плоскости, используется специальный объект Ломаная Прямая(Draft Wire), в противном случае конечный объект является стандартным слиянием деталей.

Returns: Вновь созданный объект

Method.png getDraftPath([string]Возвращает системный или пользовательский путь откуда запущен Draft(Эскизный) модуль. Если указано подпуть(!) или имя файла вернется строка содержащая полный путь вместе с подпутем(!) внутри папки Draft модуля.)

Description: Путь к файлу

Returns: {{{4}}}

Method.png getGroupContents(list)

Description: Рекурсивно сканирует указанный список групп. Если встречаются группы их содержание добавляется в список.

Returns: Список объектов FreeCAD

Method.png getRealName(string)

Description: Убирает номер на который оканчивается объект.

Returns: Обрезаное имя объекта

Method.png getSelection( )

Description: Возвращает текущее выделение FreeCAD.

Returns: Текущее выделение FreeCAD.

Method.png makeCircle(radius, [placement], [facemode], [startangle], [endangle])

Description: Создает объект - кружок с указанным радиусом. Если положение указано, оно используется. Если facemode установлен как False, окружность отображается как каркас(окружность), в противно случае как грань. Если начальный И конечный угол указаны (в градусах), они используются, и объект выглядит как дуга.

Returns: Вновь созданный объект.

Method.png makeDimension(Vector, Vector, [Vector] or FreeCAD.Object, int, int, [Vector])

Description: Создает Размерную выноску объект измереяет расстояние между первым и вторым векторами, с размерной линеей проходящей через третий вектор, если он указан. Будут использованы текущая длина и цвет линии из Эскизной панели инструментов. Вместо двух векторов, вы также можете указать объект FreeCAD, и два числа (и опционально вектор через который будет проходить размерная линия). В этом случае, размерная линия будет связана с объектом, и измерит расстояние между двумя вершинами заданными числами.

Returns: Вновь созданный объект.

Method.png makeLine(Vector, Vector)

Description: Создает линию между двумя заданными векторами. Будут использованы текущая длина и цвет линии из Эскизной панели инструментов.

Returns: Вновь созданный объект.

Method.png makeRectangle(length, width, [placement], [facemode])

Description: Создает объект прямоугольник с длинной вдоль направления оси Х и высотой в направлении оси Y. Если положение указано, оно используется. Если facemode установлен как False, прямоугольник отображается как каркас(прямоугольник), в противно случае как грань. Будут использованы текущая длина и цвет линии из Эскизной панели инструментов.

Returns: Вновь созданный объект.

Method.png makeText(string or list, [Vector], [screenmode])

Description: Создает тестовый объект в данной точке если задан вектор, содержит строку или строки приведенные в списке, одна строка на линии. Используются текущий цвет из Эскизной панели инструментов , высота текста и шрифт указываются в Настройка. Если screenmode установлен в True, текст всегда расположен в направлении вида(плоскость в которой находится текст), в противном случае он расположен в плоскости XY.

Returns: Вновь созданный объект.

Method.png makeWire(list or Part.Wire, [closed], [placement], [facemode])

Description: Создает Ломанную прямую по заданному списку векторов или из заданной Ломанной прямой. Если closed установлен в True или если первая и последняя точки совпадают , ломанная прямая является замкнутой. Если facemode установлен True (и ломанная прямая закнута), замкнута кривая будет заполнена. Будут использованы текущая длина и цвет линии из Эскизной панели инструментов.

Returns: Вновь созданный объект.

Method.png move(FreeCAD.Object or list, Vector, [copymode])

Description: Перемещает заданный объект или объекты содержащиеся в заданном списке в направлении и на растояние определяемые вектором. Если copymode установлен как True, подлинные объекты не перемещаются, вместо этого создаются копии.

Returns: Объект(ы) (или их копии, если copymode установлен True).

Method.png precision( )

Description: Возвращает точное значение Эскизных настроек пользователя.

Returns: Число.

Method.png rotate(FreeCAD.Object or list, angle, [center], [axis] ,[copymode])

Description: Попорачивает заданный объект или объекты содержащиеся в заданном списке на заданный угол вокруг заданного центра если он указан, использует ось как ось поворота. Если ось не указана, вращение будет происходить вокруг вертикальной оси Z. Если copymode установлен как True, подлинные объекты не перемещаются, вместо этого создаются копии.

Returns: Объекты (или их копии).

Method.png scale(FreeCAD.Object or list, vector, [center], [copymode])

Description: Масштабирует указанный объект или объекты содержащиеся в заданном списке, с масштабным фактором определяемым по заданому вектору (в X, Y и Z направлениях) вокруг указанного центра если есть. Если copymode установлен как True, подлинные объекты не перемещаются, вместо этого создаются копии.

Returns: Объекты (или их копии).

Method.png select(FreeCAD.Object)

Description: Снимает выбор со всего остального и выбирает только переданый объект

Returns: Ничего.

Method.png shapify(FreeCAD.Object)

Description: Превращает параметрическую объект-форму в непараметрическую.

Returns: Новый объект.

Method.png draftify(FreeCAD.Object or list)

Description: Включает заданный объект, или каждый объект из списка в Эскизную параметрическую кривую.

Returns: Ничего.

Method.png getSVG(FreeCAD.Object, [linemodifier], [textmodifier], [(u,v)])

Description: Создает SVG предствление указанного объекта. Параметр linemodifier это масштабный фактор(в прцентах)для ширины линииfor line width, и textmodifier для рахзмера текста. Вы также можете дополнительно задать набор векторов определяющих плоскость проекции, в противном случае геометрия будет спроецирована на плоскость XY.

Returns: строка содержащая SVG изображение заданного объекта.